# Uses of Class
org.eclipse.gef.graph.Graph.Builder

## Uses of Graph.Builder in org.eclipse.gef.graph

Fields in org.eclipse.gef.graph declared as Graph.Builder
Modifier and Type
Field
Description
`protected Graph.Builder`
Graph.Builder.Context.`builder`
The `Graph.Builder` used to construct the `Graph`, i.e. the root of the builder chain.
Methods in org.eclipse.gef.graph that return Graph.Builder
Modifier and Type
Method
Description
`Graph.Builder`
Graph.Builder.`attr(String key, Object value)`
Puts the given key-value-pair into the `attributes map` of the `Graph` which is constructed by this `Graph.Builder`.
`<T> Graph.Builder`
Graph.Builder.`attr(BiConsumer<Graph,T> setter, T value)`
Uses the given setter to set the attribute value.
`Graph.Builder`
Graph.Builder.`edges(Collection<Edge> edges)`
Adds the given `Edge`s to the `Graph` which is constructed by this `Graph.Builder`.
`Graph.Builder`
Graph.Builder.`edges(Edge... edges)`
Adds the given `Edge`s to the `Graph` which is constructed by this `Graph.Builder`.
`Graph.Builder`
Graph.Builder.`nodes(Collection<Node> nodes)`
Adds the given `Node`s to the `Graph` which is constructed by this `Graph.Builder`.
`Graph.Builder`
Graph.Builder.`nodes(Node... nodes)`
Adds the given `Node`s to the `Graph` which is constructed by this `Graph.Builder`.